Page MenuHomePhabricator

CodeEditor deletes the wrong character when the user presses backspace
Open, LowPublic

Description

This JS page has the following code

bug = '– — ‘+’ “+” ° º ″ ′ ≈ ≠ ≤ ± − × ÷ √ ← → · §   \ {\+}} {\{\{+}}}';

If I click after a "\" and press backspace, CodeEditor deletes the character which is after the cursor, instead of the "\".


Version: unspecified
Severity: normal

Attached: (Screencast)

Details

Reference
bz69440

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:41 AM
bzimport added a project: CodeEditor.
bzimport set Reference to bz69440.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Aug 12 2014, 4:57 PM
TheDJ closed this task as Resolved.Mar 15 2015, 5:12 PM
TheDJ claimed this task.
TheDJ added a subscriber: TheDJ.

Tested with the latest version of the editor and FF and this problem no longer seems to be an issue.

He7d3r reopened this task as Open.Mar 16 2015, 12:26 AM
He7d3r updated the task description. (Show Details)
He7d3r set Security to None.
He7d3r added a project: JavaScript.

Still happens on Firefox 36.0.1, using Ubuntu.

hmm, interesting.

can mean two things, it's using a font that it isn't supposed to be using, or font measuring on FF linux is broken.

TheDJ removed TheDJ as the assignee of this task.Mar 16 2015, 9:28 AM